# module ActiveRecord::AttributeMethods::Write::ClassMethods

### Private Instance Methods

define_method_attribute=(name) click to toggle source

    # File lib/active_record/attribute_methods/write.rb, line 13
              def define_method_attribute=(name)
                safe_name = name.unpack("h*".freeze).first
                ActiveRecord::AttributeMethods::AttrNames.set_name_cache safe_name, name

                generated_attribute_methods.module_eval "              def __temp__#{safe_name}=(value)
                    name = ::ActiveRecord::AttributeMethods::AttrNames::ATTR_#{safe_name}
                    write_attribute(name, value)
                  end
                  alias_method #{(name + '=').inspect}, :__temp__#{safe_name}=
                  undef_method :__temp__#{safe_name}=
    ", __FILE__, __LINE__ + 1
              end